"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeYappasdkApp = _interopRequireDefault(require("react-native-yappasdk-app"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const YappaActionButton = ({
  contentUrl,
  contentId
}) => {
  const onPress = () => {
    _reactNativeYappasdkApp.default.setContentId(contentId || "");

    _reactNativeYappasdkApp.default.setContentUrl(contentUrl || "");

    _reactNativeYappasdkApp.default.show();
  };

  (0, _react.useEffect)(() => {
    if (contentUrl != null) {
      _reactNativeYappasdkApp.default.setContentUrl(contentUrl);
    }

    if (contentId != null) {
      _reactNativeYappasdkApp.default.setContentId(contentId);
    }
  }, [contentUrl, contentId]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    style: styles.button
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.pressedButton
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: styles.yappaLogo,
    source: require("../../assets/yappa_icon.png")
  })));
};

var _default = YappaActionButton;
exports.default = _default;

const styles = _reactNative.StyleSheet.create({
  button: {
    position: 'absolute',
    bottom: 16,
    right: 16,
    borderRadius: 45,
    shadowColor: 'rgba(0,0,0, .4)',
    shadowOffset: {
      height: 1,
      width: 1
    },
    shadowOpacity: 1,
    shadowRadius: 1,
    elevation: 10,
    backgroundColor: 'rgba(0,0,0, .1)'
  },
  pressedButton: {
    backgroundColor: 'white',
    width: 64,
    height: 64,
    borderRadius: 45,
    flex: 1,
    justifyContent: "center"
  },
  yappaLogo: {
    width: 30,
    height: 32,
    alignSelf: "center"
  }
});
//# sourceMappingURL=YappaActionButton.js.map